Bug 968935 - Missing SELinux config info for FTP anonymous uploads
Missing SELinux config info for FTP anonymous uploads
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Security_Guide (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bara Ancincova
Tomas Capek
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 06:14 EDT by Alexander Todorov
Modified: 2015-04-21 07:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 07:07:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-05-30 06:14:26 EDT
Document URL: 

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Security_Guide/sect-Security_Guide-Securing_FTP-Anonymous_Access.html


Section Number and Name: 

2.2.6.2.1. Anonymous Upload

Describe the issue: 

The docs don't describe related SELinux configuration and are incomplete. On a default install SELinux is in Enforcing mode and the described upload configuration will not work. 

I found these commands to do the job: 

setsebool -P allow_ftpd_anon_write=1
semanage fcontext -a -t public_content_rw_t '/var/ftp/pub/upload(/.*)'
chcon -t public_content_rw_t /var/ftp/pub/upload
Comment 1 Bara Ancincova 2014-07-30 08:10:48 EDT
Fixed in:

http://10.34.2.117:8080/view/RHEL6/job/doc-Red_Hat_Enterprise_Linux-6-Security_Guide%20%28html-single%29/15/artifact/tmp/en-US/html-single/index.html#sect-Security_Guide-Server_Security-Securing_FTP

I've edited the "Anonymous Upload" procedure with the requested information. The changes have been reviewed be SME.

Note You need to log in before you can comment on or make changes to this bug.